net.i2p.util

## Class HTTPSendData

- java.lang.Object
- - net.i2p.util.HTTPSendData

Deprecated.
unused

    public class HTTPSendData
    extends Object

Simple helper class to submit data via HTTP Post

### Constructor Summary

Constructors
Constructor and Description
`HTTPSendData()` Deprecated.

### Method Summary

Methods
`static boolean` `postData(String url, long length, InputStream dataToSend)` Deprecated. Submit an HTTP post to the given url, sending the data specified
`static boolean` `postData(URL url, long length, InputStream dataToSend)` Deprecated. Submit an HTTP post to the given url, sending the data specified

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTTPSendData

    public HTTPSendData()

Deprecated.

### Method Detail

#### postData

    public static boolean postData(String url,
                   long length,
                   InputStream dataToSend)

Deprecated.
Submit an HTTP post to the given url, sending the data specified

Parameters:
  `url` - url to post to
  `length` - number of bytes in the dataToSend to, er, send
  `dataToSend` - stream of bytes to be sent
Returns:
  true if the data was posted successfully

#### postData

    public static boolean postData(URL url,
                   long length,
                   InputStream dataToSend)

Deprecated.
Submit an HTTP post to the given url, sending the data specified

Parameters:
  `url` - url to post to
  `length` - number of bytes in the dataToSend to, er, send
  `dataToSend` - stream of bytes to be sent